%define up_name check_connections

Name:		nagios-%{up_name}
Version:	2.1.0
Release:	%mkrel 9
Summary:	A Nagios plugin to check the number of TCP connections
License:	GPL
Group:		Networking/Other
URL:		https://trac.id.ethz.ch/projects/nagios_plugins/wiki/check_connections
Source:     %{up_name}-%{version}.tar.gz
Requires:	nagios-plugins
BuildArch:  noarch

%description
check_connections is a Nagios plugin to check the number of TCP connections 

%prep
%setup -q -n %{up_name}-%{version}

%build

%install
install -d %{buildroot}%{_datadir}/nagios/plugins
install -m 755 check_connections %{buildroot}%{_datadir}/nagios/plugins/check_connections

perl -pi -e 's|^#!perl|#!%{_bindir}/perl|' \
    %{buildroot}%{_datadir}/nagios/plugins/check_connections

install -d -m 755 %{buildroot}%{_sysconfdir}/nagios/plugins.d
cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_connections.cfg <<'EOF'
define command {
	command_name    check_connections
	command_line    %{_datadir}/nagios/plugins/check_connections
}
EOF

%files
%doc AUTHORS Changes NAME NEWS README
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_connections.cfg
%{_datadir}/nagios/plugins/check_connections





%changelog
* Sun Mar 20 2022 umeabot <umeabot> 2.1.0-9.mga9
+ Revision: 1801971
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.1.0-8.mga8
+ Revision: 1492161
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.1.0-7.mga7
+ Revision: 1264632
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 2.1.0-6.mga6
+ Revision: 938265
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.0-5.mga5
+ Revision: 747028
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.0-4.mga5
+ Revision: 682765
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.1.0-3.mga4
+ Revision: 508076
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.1.0-2.mga3
+ Revision: 360685
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 03 2011 ennael <ennael> 2.1.0-1.mga1
+ Revision: 62893
- imported package nagios-check_connections


* Sun Dec 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.0-1mdv2009.1
+ Revision: 317110
- import nagios-check_connections


* Sun Dec 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.0-1mdv2009.1
- first mdv release 
